﻿#language: ru

@scp

Функционал: 003. SCP. АРМ планирования потребностей

Контекст:
	Дано Я подключаюсь под "Планирование потребностей"

Сценарий: 003.1. SCP. АРМ планирования потребностей. Оптимистичный сценарий.

	Когда В командном интерфейсе я выбираю 'Планирование' 'Планирование потребностей'
	Тогда я жду открытия окна 'Планирование потребностей [за все время]' в течение 20 секунд
	И я нажимаю на кнопку создать поля "Сценарий"
	Тогда я жду открытия окна 'Сценарий планирования потребности в отгрузке (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Оптимистичный сценарий'
	И я нажимаю на кнопку создать поля "План с"
	Тогда я жду открытия окна 'Вариант начала периода (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст '24.08.2020'
	И в поле 'Дата начала' я ввожу текст '24.08.2020  0:00:00'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант начала периода (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Сценарий планирования потребности в отгрузке (создание) *' в течение 20 секунд
	И в поле 'Периодов' я ввожу текст '4'
	И из выпадающего списка "Периодичность" я выбираю точное значение 'День'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий планирования потребности в отгрузке (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
	Когда Я включаю пакетное изменение строк в АРМе планирования потребностей
	И я нажимаю на кнопку 'Выделить все'
	И из выпадающего списка "Сделать" я выбираю точное значение 'Заполнить план по заказам'
	И я меняю значение переключателя 'для периода' на 'всех'
	И я нажимаю на кнопку 'Выполнить'
	И из выпадающего списка "Сделать" я выбираю точное значение 'Изменить план на %'
	И в поле 'ГрупповоеИзменение_Значение' я ввожу текст '100,000'
	И я нажимаю на кнопку 'Выполнить'
	И я нажимаю на кнопку 'Создать новый'
	Тогда я жду открытия окна 'План потребностей в отгрузке (создание)' в течение 20 секунд
	И в поле с именем 'Комментарий' я ввожу текст 'SCP. Оптимистичный сценарий'
	* Проверка заполнения документа
		Тогда элемент формы с именем "Сценарий" стал равен 'Оптимистичный сценарий'
		И элемент формы с именем "Организация" стал равен ''
		И у элемента формы с именем "НачалоИнтервалаПланирования" текст редактирования стал равен '24.08.2020'
		И у элемента формы с именем "КонецИнтервалаПланирования" текст редактирования стал равен '27.08.2020'
		И элемент формы с именем "ИнформацияОПересеченияхПоПериоду" стал равен ''
		И таблица "Товары" стала равной:
			| 'N'  | 'Заблокировано' | 'Количество' | 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Волна отгрузки' | 'Период'     | 'Склад'              | 'Вытеснен' | 'Комментарий' |
			| '1'  | 'Нет'           | '200,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '2'  | 'Нет'           | '300,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '3'  | 'Нет'           | '300,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '4'  | 'Нет'           | '400,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '5'  | 'Нет'           | '200,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '6'  | 'Нет'           | '300,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '7'  | 'Нет'           | '300,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '8'  | 'Нет'           | '400,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '9'  | 'Нет'           | '200,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '10' | 'Нет'           | '300,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '11' | 'Нет'           | '300,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '12' | 'Нет'           | '400,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '13' | 'Нет'           | '200,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '14' | 'Нет'           | '300,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '15' | 'Нет'           | '300,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '16' | 'Нет'           | '400,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
		И элемент формы с именем "Автор" стал равен 'Планирование потребностей'
		И элемент формы с именем "Комментарий" стал равен 'SCP. Оптимистичный сценарий'
		И я нажимаю на кнопку 'Провести и закрыть'
		Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
		И я нажимаю на кнопку открытия поля "Документ_ПланПотребностей"
		Тогда я жду открытия окна 'План потребностей на [24.08.2020 - 27.08.2020] *' в течение 20 секунд
		И Я проверяю движения SCP по макету "ДвиженияОптимистичныйСценарий"
		Когда я жду открытия окна 'План потребностей на [24.08.2020 - 27.08.2020] *' в течение 20 секунд
		И Я закрываю окно 'План потребностей на [24.08.2020 - 27.08.2020] *'
	Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
	И Я закрываю окно 'Планирование потребностей [24.08.2020 - 27.08.2020]'

Сценарий: 003.2. SCP. АРМ планирования потребностей. Реалистичный сценарий.

	Когда В командном интерфейсе я выбираю 'Планирование' 'Планирование потребностей'
	Тогда я жду открытия окна 'Планирование потребностей [за все время]' в течение 20 секунд
	И я нажимаю на кнопку создать поля "Сценарий"
	Тогда я жду открытия окна 'Сценарий планирования потребности в отгрузке (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Реалистичный сценарий'
	И я нажимаю на кнопку создать поля "План с"
	Тогда я жду открытия окна 'Вариант начала периода (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст '24.08.2020'
	И в поле 'Дата начала' я ввожу текст '24.08.2020  0:00:00'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант начала периода (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Сценарий планирования потребности в отгрузке (создание) *' в течение 20 секунд
	И в поле 'Периодов' я ввожу текст '4'
	И из выпадающего списка "Периодичность" я выбираю точное значение 'День'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий планирования потребности в отгрузке (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
	Когда Я включаю пакетное изменение строк в АРМе планирования потребностей
	И я нажимаю на кнопку 'Выделить все'
	И из выпадающего списка "Сделать" я выбираю точное значение 'Заполнить план по заказам'
	И я меняю значение переключателя 'для периода' на 'всех'
	И я нажимаю на кнопку 'Выполнить'
	И я нажимаю на кнопку 'Создать новый'
	Тогда я жду открытия окна 'План потребностей в отгрузке (создание)' в течение 20 секунд
	И в поле с именем 'Комментарий' я ввожу текст 'SCP. Реалистичный сценарий'
	* Проверка заполнения документа
		Тогда элемент формы с именем "Сценарий" стал равен 'Реалистичный сценарий'
		И элемент формы с именем "Организация" стал равен ''
		И у элемента формы с именем "НачалоИнтервалаПланирования" текст редактирования стал равен '24.08.2020'
		И у элемента формы с именем "КонецИнтервалаПланирования" текст редактирования стал равен '27.08.2020'
		И элемент формы с именем "ИнформацияОПересеченияхПоПериоду" стал равен ''
		И таблица "Товары" стала равной:
			| 'N'  | 'Заблокировано' | 'Количество' | 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Волна отгрузки' | 'Период'     | 'Склад'              | 'Вытеснен' | 'Комментарий' |
			| '1'  | 'Нет'           | '100,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '2'  | 'Нет'           | '150,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '3'  | 'Нет'           | '150,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '4'  | 'Нет'           | '200,000'    | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '5'  | 'Нет'           | '100,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '6'  | 'Нет'           | '150,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '7'  | 'Нет'           | '150,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '8'  | 'Нет'           | '200,000'    | 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '9'  | 'Нет'           | '100,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '10' | 'Нет'           | '150,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '11' | 'Нет'           | '150,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '12' | 'Нет'           | '200,000'    | 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '13' | 'Нет'           | '100,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '24.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '14' | 'Нет'           | '150,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '25.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '15' | 'Нет'           | '150,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '26.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
			| '16' | 'Нет'           | '200,000'    | 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '1 [7:00-9:00]'  | '27.08.2020' | 'Основной склад ООО' | 'Нет'      | ''            |
		И элемент формы с именем "Автор" стал равен 'Планирование потребностей'
		И элемент формы с именем "Комментарий" стал равен 'SCP. Реалистичный сценарий'
		И я нажимаю на кнопку 'Провести и закрыть'
		Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
		И я нажимаю на кнопку открытия поля "Документ_ПланПотребностей"
		Тогда я жду открытия окна 'План потребностей на [24.08.2020 - 27.08.2020] *' в течение 20 секунд
		И Я проверяю движения SCP по макету "ДвиженияРеалистичныйСценарий"
		Когда я жду открытия окна 'План потребностей на [24.08.2020 - 27.08.2020] *' в течение 20 секунд
		И Я закрываю окно 'План потребностей на [24.08.2020 - 27.08.2020] *'
	Тогда я жду открытия окна 'Планирование потребностей [24.08.2020 - 27.08.2020]' в течение 20 секунд
	И Я закрываю окно 'Планирование потребностей [24.08.2020 - 27.08.2020]'

Сценарий: 003.3. SCP. АРМ планирования потребностей. Завершение.

	И Я закрыл все окна клиентского приложения
	И я закрываю сеанс TESTCLIENT